---
updatedAt: 2026-09-04T07:06:48.000Z
agentTools:
  projectIndex: https://documentation.indigitall.com/llms.txt
---

# Get campaign list

Get campaign list

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "2.0.0",
    "title": "INDIGITALL API",
    "x-logo": {
      "url": "https://console.indigitall.com/images/logo_verdeblanco@2x.png",
      "backgroundColor": "#0F3B7A"
    },
    "description": "\n### Introduction:\nThis documentation describes every endpoint of Indigitall's API v2\n\nAPI BASE URL: https://api.indigitall.com/v2\n\n### Authentication:\n\nMost of the endpoints of the API needs an Authorization header.\n\nThere are two Authorization ways:\n\n- If your intention is to manage API calls with a server-side script you have to create a Server key through Indigitall's console.\n\n  You can set the following Authorization Header : 'Authorization: ServerKey {ServerKey}'\n- If your intention is to integrate this API for front-end users POST /auth endpoint authorizes a user and returns an access token.\n\n  You can set the following Authorization Header : 'Authorization: Bearer {Token}'\n"
  },
  "security": [
    {
      "Authorization": []
    }
  ],
  "tags": [
    {
      "name": "sms-campaign",
      "x-displayName": "SMS - Campaign"
    }
  ],
  "x-tagGroups": [
    {
      "name": "Chat Service",
      "tags": [
        "chat-configuration",
        "chat-channel",
        "chat-contact",
        "chat-integration",
        "chat-task",
        "chat-campaign",
        "chat-send",
        "chat-multimedia",
        "chat-slicing",
        "chat-tag",
        "chat-contact-list",
        "chat-cc-agent",
        "chat-cc-permissions-profile",
        "chat-cc-weekly-schedule",
        "chat-cc-special-days-schedule",
        "chat-cc-conversation",
        "chat-cc-agent-group",
        "chat-cc-contact-comment",
        "chat-cc-form",
        "chat-stats",
        "chat-internal"
      ]
    },
    {
      "name": "Customer Service",
      "tags": [
        "customer-service-adviser",
        "customer-service-customer",
        "customer-service-customer-csv",
        "customer-service-customer-field",
        "customer-service-customer-journey",
        "customer-service-customer-journey-template",
        "customer-service-customer-journey-control",
        "customer-service-customer-send",
        "customer-service-stats",
        "customer-service-webhook-template",
        "customer-service-segment",
        "customer-service-audience",
        "customer-service-application",
        "customer-service-journeywaitqueue",
        "customer-service-task",
        "customer-service-cdpeventtype",
        "customer-service-cdpeventtypetemplate",
        "customer-service-internal"
      ]
    },
    {
      "name": "Email Service",
      "tags": [
        "es-configuration",
        "es-configurationDomain",
        "es-configurationDomainEmail",
        "es-footer",
        "es-audience",
        "es-contact",
        "es-category",
        "es-campaign",
        "es-campaign-block",
        "es-campaign block-column",
        "es-campaign-multimedia",
        "es-shipment",
        "es-attachment",
        "es-statistics",
        "es-webhook",
        "es-tasks"
      ]
    },
    {
      "name": "InApp Service",
      "tags": [
        "inapp-configuration",
        "inapp-campaign",
        "inapp-schema",
        "inapp-topic",
        "inapp-multimedia",
        "inapp-form",
        "inapp-stats",
        "inapp-audience",
        "inapp-task"
      ]
    },
    {
      "name": "SMS Service",
      "tags": [
        "sms-campaign",
        "sms-configuration",
        "sms-contact",
        "sms-send",
        "sms-stats",
        "sms-topic",
        "sms-cost",
        "sms-webhook",
        "sms-private"
      ]
    },
    {
      "name": "Wallet Service",
      "tags": [
        "wallet-project",
        "wallet-images",
        "wallet-tasks",
        "wallet-notifications",
        "wallet-template",
        "wallet-loyalty-pass",
        "wallet-loyalty-template",
        "wallet-offer-pass",
        "wallet-offer-template",
        "wallet-generic-pass",
        "wallet-generic-template"
      ]
    },
    {
      "name": "Stats Service",
      "tags": [
        "stats-service-chat",
        "stats-service-cs",
        "stats-service-report",
        "stats-service-wallet",
        "stats-service-meta"
      ]
    },
    {
      "name": "ChatGen service",
      "tags": [
        "icc-chatgen-gateway-agent",
        "icc-chatgen-gateway-api-tool",
        "icc-chatgen-gateway-configured-custom-tool",
        "icc-chatgen-gateway-conversation",
        "icc-chatgen-gateway-custom-tool",
        "icc-chatgen-gateway-document",
        "icc-chatgen-gateway-file",
        "icc-chatgen-gateway-instance-config",
        "icc-chatgen-gateway-router-agent-tool",
        "icc-chatgen-gateway-router-agent"
      ]
    },
    {
      "name": "AI Assitant service",
      "tags": [
        "ai-generator-campaign"
      ]
    },
    {
      "name": "Meta Service",
      "tags": [
        "meta-cloudapi",
        "meta-configuration",
        "meta-webhook",
        "meta-business",
        "meta-templates",
        "meta-upload"
      ]
    },
    {
      "name": "Push Live Service",
      "tags": [
        "push-live-configuration",
        "push-live-ios-class",
        "push-live-activity",
        "push-live-send"
      ]
    },
    {
      "name": "Pathbot",
      "tags": [
        "pathbot-agents",
        "pathbot-applications",
        "pathbot-documents",
        "pathbot-flows",
        "pathbot-tools",
        "pathbot-nodes",
        "pathbot-ingestion-sources",
        "pathbot-evaluation",
        "pathbot-skills"
      ]
    },
    {
      "name": "Link Service",
      "tags": [
        "link-short-domain"
      ]
    }
  ],
  "servers": [
    {
      "url": "https://api.indigitall.com/v2"
    }
  ],
  "paths": {
    "/sms/campaign": {
      "get": {
        "tags": [
          "sms-campaign"
        ],
        "summary": "Get campaign list",
        "description": "Get campaign list",
        "x-eov-operation-handler": "campaignController",
        "operationId": "smsGetListCampaign",
        "x-gateway-endpoint": "smsService",
        "x-gateway-check-permission": {
          "account-features": [
            "SMS_ENABLED"
          ]
        },
        "parameters": [
          {
            "in": "query",
            "name": "applicationId",
            "schema": {
              "type": "integer"
            },
            "required": true,
            "description": "Application ID to look for"
          },
          {
            "in": "query",
            "name": "limit",
            "schema": {
              "type": "integer",
              "default": 10
            },
            "description": "Limit of results per page"
          },
          {
            "in": "query",
            "name": "page",
            "schema": {
              "type": "integer",
              "default": 0
            },
            "description": "Page number"
          },
          {
            "in": "query",
            "name": "find",
            "schema": {
              "type": "string"
            },
            "description": "Text filter to match the list"
          },
          {
            "name": "isCustomerService",
            "in": "query",
            "description": "filter \"journey\" type campaigns",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "in": "query",
            "name": "orderBy",
            "required": false,
            "description": "Order of the results:\n\n  * a-z - Order by name ascending. From A to Z.\n  * z-a - Order by name descending. From Z to A.\n  * 1-9 - Order by id ascending.\n  * 9-1 - Order by id descending.\n",
            "schema": {
              "type": "string",
              "enum": [
                "a-z",
                "z-a",
                "0-9",
                "9-0"
              ],
              "default": "9-0"
            }
          },
          {
            "in": "query",
            "name": "enabled",
            "required": false,
            "description": "filters by status enabled (true or false)",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "in": "query",
            "name": "lastSendingMode",
            "required": false,
            "description": "Filter by the mode of the last sending",
            "schema": {
              "type": "string",
              "enum": [
                "scheduled",
                "immediate"
              ]
            }
          },
          {
            "in": "query",
            "name": "loadCampaignStats",
            "description": "Whether to include campaign statistics in the response",
            "schema": {
              "type": "boolean"
            },
            "required": false
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CAMPAIGN_GET_LIST_RESPONSE"
                }
              }
            }
          },
          "default": {
            "description": "Error 5XX, 4XX",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BASE_ERROR_RESPONSE"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "Authorization": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "description": "Authorization for accesing endpoints , must be in one of the following format:\n- **Bearer {token}**\n- **ServerKey {key}**\n"
      }
    },
    "schemas": {
      "BASE_RESPONSE": {
        "type": "object",
        "required": [
          "statusCode",
          "message"
        ],
        "properties": {
          "statusCode": {
            "type": "integer",
            "description": "HTTP status code"
          },
          "message": {
            "type": "string",
            "description": "Message about response"
          },
          "data": {
            "type": "object",
            "description": "Response data"
          }
        }
      },
      "BASE_ERROR_RESPONSE": {
        "type": "object",
        "required": [
          "statusCode",
          "message"
        ],
        "properties": {
          "statusCode": {
            "type": "integer",
            "description": "HTTP error code"
          },
          "message": {
            "type": "string",
            "description": "Message about error"
          }
        }
      },
      "CAMPAIGN_GET_LIST_RESPONSE": {
        "allOf": [
          {
            "$ref": "#/components/schemas/BASE_RESPONSE"
          },
          {
            "type": "object",
            "required": [
              "data"
            ],
            "properties": {
              "data": {
                "type": "object",
                "properties": {
                  "campaigns": {
                    "type": "array",
                    "items": {
                      "allOf": [
                        {
                          "$ref": "#/components/schemas/CAMPAIGN_GET_OBJECT"
                        },
                        {
                          "type": "object",
                          "properties": {
                            "journeyStatus": {
                              "type": "string",
                              "nullable": true,
                              "enum": [
                                "PENDING",
                                "RUNNING"
                              ],
                              "description": "Status of a journey associated with the campaign:\n\n  * PENDING - Pending to associate to a journey or a journey that has not yet started.\n  * RUNNING - A journey with this campaign has started.\n"
                            }
                          }
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          {
            "type": "object",
            "required": [
              "count"
            ],
            "properties": {
              "count": {
                "type": "integer",
                "description": "Total amount of campaigns"
              }
            }
          }
        ]
      },
      "CAMPAIGN_GET_OBJECT": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "description": "campaign ID",
            "readOnly": true
          },
          "applicationId": {
            "type": "integer",
            "description": "application ID which the campaign belongs to"
          },
          "name": {
            "type": "string",
            "minLength": 1,
            "maxLength": 255,
            "description": "campaign's name"
          },
          "senderName": {
            "type": "string",
            "minLength": 1,
            "maxLength": 64,
            "description": "sender name can be overwritten in this field",
            "nullable": true
          },
          "message": {
            "type": "string",
            "minLength": 1,
            "description": "**For SMPP/SMS campaigns**: Campaign's message content.\n\nIt can contains custom variables to be replaced with contact's data, variables have this format : {{varName}}, and value must be replace when requesting a send operation.\n\nFor url shortening, it must be specified with a special variable with this format: {{url:the_url}}, for example: {{url:https://indigitall.com}}. The url will be shortened automatically when the campaign is being sent. Url protocol must be included.\n\nIf the unsubscription url is wanted in the message, special variable must be placed : {{url:unsubscribe}}\n",
            "nullable": true
          },
          "content": {
            "type": "object",
            "description": "**For RCS campaigns**: New content structure for generic messaging.\nUse this format for RCS campaigns instead of the legacy `message` field. Both formats are supported for backward compatibility.\n",
            "properties": {
              "type": {
                "type": "string",
                "enum": [
                  "text"
                ],
                "description": "Content type. Currently only \"text\" is supported.",
                "example": "text"
              },
              "text": {
                "type": "string",
                "description": "Text content of the RCS message."
              }
            },
            "required": [
              "type",
              "text"
            ],
            "nullable": true
          },
          "filters": {
            "$ref": "#/components/schemas/CAMPAIGN_OBJECT_FILTERS"
          },
          "enabled": {
            "type": "boolean",
            "description": "if campaigns is enabled or not"
          },
          "isCustomerService": {
            "type": "boolean",
            "description": "the campaign is only for customer service"
          },
          "customValues": {
            "description": "List of variables associated with the campaign",
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "lastSendingMode": {
            "type": "string",
            "nullable": true,
            "description": "Last sending's mode used, can be inmmediate or scheduled"
          },
          "lastSendingAt": {
            "type": "string",
            "format": "date-time",
            "nullable": true,
            "description": "Date and time of the last sending associated with this campaign.\n\nIf the sending was scheduled, this value reflects the scheduled date.\nIf the sending was immediate, this value reflects the creation date.\n"
          },
          "totalChunks": {
            "type": "integer",
            "nullable": true,
            "description": "Number of chunks sent\n\nOnly included if the request is made with `loadCampaignStats = true`.\n"
          },
          "cost": {
            "type": "number",
            "nullable": true,
            "description": "Total cost of messages sent\n\nOnly included if the request is made with `loadCampaignStats = true`.\n"
          },
          "numDevicesSent": {
            "type": "integer",
            "nullable": true,
            "description": "Number of devices the campaign has been sent to.\n\nOnly included if the request is made with `loadCampaignStats = true`.\n"
          },
          "clickThroughRate": {
            "type": "number",
            "nullable": true,
            "description": "Click through rate (CTR) of the campaign. From 0 to 100.\n\nOnly included if the request is made with `loadCampaignStats = true`.\n"
          },
          "numSendings": {
            "type": "integer",
            "nullable": true,
            "description": "The number of sendings that have been grouped\n\nOnly included if the request is made with `loadCampaignStats = true`.\n"
          }
        }
      },
      "CAMPAIGN_OBJECT_FILTERS": {
        "type": "object",
        "nullable": true,
        "description": "campaign's filters",
        "properties": {
          "topics": {
            "type": "object",
            "description": "Topics filter",
            "properties": {
              "subscribed": {
                "type": "array",
                "description": "Contacts subscribed to these topics ids, every array is evaluated with OR condition",
                "items": {
                  "type": "array",
                  "description": "Topics evaluated with AND condition",
                  "items": {
                    "type": "integer"
                  }
                }
              },
              "notSubscribed": {
                "type": "array",
                "description": "Contacts not subscribed to these topics ids, every array is evaluated with OR condition",
                "items": {
                  "type": "array",
                  "description": "Topics evaluated with AND condition",
                  "items": {
                    "type": "integer"
                  }
                }
              }
            }
          },
          "audienceCJ": {
            "type": "array",
            "description": "References an `audienceList` or `segment` defined in Customer Journey (CJ), combined (AND)\nwith any other filter present (e.g. `topics`) to restrict the recipients of a `/send/all`\nsending.\n\nModeled as an array so it can be combined at the schema level with other CJ entities in\nthe future, but in this first phase only one entry is supported: combining several\nlists/audiences together is not supported yet.\n",
            "items": {
              "type": "object",
              "required": [
                "entityType",
                "entityId"
              ],
              "properties": {
                "entityType": {
                  "type": "string",
                  "enum": [
                    "audienceList",
                    "segment"
                  ],
                  "description": "Type of CJ entity referenced."
                },
                "entityId": {
                  "type": "integer",
                  "description": "Numeric id of the audienceList or segment in customer-service."
                }
              }
            }
          }
        }
      }
    }
  }
}
```